complexType "SetCreditLimit"

Namespace: | http://www.fpml.org/FpML-5/pretrade
Content: | complex, 3 attributes, 9 elements
Defined: | globally in fpml-pretrade-processes-5-5.xsd; see XML source
Includes: | definition of 1 element
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
fpmlVersion | = | xsd:token
expectedBuild | = | xsd:positiveInteger
actualBuild | = | "7"
| >
Content: | header?, validation*, (parentCorrelationId?, correlationId?, sequenceNumber?)?, onBehalfOf[0..4]?, creditLimitInformation*, party*, account*
</...>

Content Model Elements (9):

  account, correlationId, creditLimitInformation (in setCreditLimit), header (defined in RequestMessage complexType), onBehalfOf (defined in OnBehalfOf.model group), | parentCorrelationId, party, sequenceNumber (defined in Sequence.model group), validation

All Direct / Indirect Based Elements (1):

  setCreditLimit

Known Usage Locations

- As direct type of elements (1):
  setCreditLimit

Type Definition Detail

Type Derivation Tree Document (extension) Message (extension) RequestMessage (extension) NonCorrectableRequestMessage (extension) SetCreditLimit

XML Source (see within schema source)

<xsd:complexType name="SetCreditLimit"> <xsd:complexContent> <xsd:extension base="NonCorrectableRequestMessage"> <xsd:sequence> <xsd:element maxOccurs="unbounded" minOccurs="0" name="creditLimitInformation" type="CreditLimitInformationExtended"/> <xsd:group ref="PartiesAndAccounts.model"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 1/9)
creditLimitInformation

  Type: | CreditLimitInformationExtended, complex content

  XML Source (see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="creditLimitInformation" type="CreditLimitInformationExtended"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.